GemFireCacheException (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode, class: GemFireCacheException

Package org.apache.geode

# Class GemFireCacheException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.apache.geode.GemFireException
org.apache.geode.GemFireCacheException

All Implemented Interfaces:
  `Serializable`

public class GemFireCacheException extends GemFireException
An `GemFireCacheException` is used to wrap a `CacheException`. This is needed in contexts that can not throw the cache exception directly because of it being a typed exception.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GemFireCacheException(String message, CacheException ex)`
  Creates a new `GemFireCacheException`.
  `GemFireCacheException(CacheException ex)`
  Creates a new `GemFireCacheException`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CacheException`
  `getCacheException()`
  Gets the wrapped `CacheException`

  ### Methods inherited from class org.apache.geode.GemFireException

  `getRootCause`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### GemFireCacheException

    public GemFireCacheException(String message, CacheException ex)
    Creates a new `GemFireCacheException`.
    Parameters:
      `message` - the detail message
      `ex` - the cause

  - ### GemFireCacheException

    public GemFireCacheException(CacheException ex)
    Creates a new `GemFireCacheException`.
    Parameters:
      `ex` - the cause

- ## Method Details

  - ### getCacheException

    public CacheException getCacheException()
    Gets the wrapped `CacheException`
    Returns:
      the wrapped `CacheException`